### Function

# Vips verror

#### Declaration [src]

    void
    vips_verror (
      const char* domain,
      const char* fmt,
      va_list ap
    )

#### Description [src]

Append a message to the error buffer.

See also

`vips_error()`.

This function is not directly available to language bindings.

#### Parameters

`domain`

  Type: `const char*`

  The source of the error.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`fmt`

  Type: `const char*`

  `printf()`-style format string for the error.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`ap`

  Type: `va_list`

  Arguments to the format string.